com.sun.javadoc

## Interface WildcardType

- All Superinterfaces:
    Type

      public interface WildcardType
      extends Type

  Represents a wildcard type argument. Examples include:

       <?>
       <? extends E>
       <? super T>

  A wildcard type can have explicit extends bounds or explicit super bounds or neither, but not both.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Type[]` | `extendsBounds()` Return the upper bounds of this wildcard type argument as given by the extends clause.
    `Type[]` | `superBounds()` Return the lower bounds of this wildcard type argument as given by the super clause.

    - ### Methods inherited from interface com.sun.javadoc.Type

      `asAnnotationTypeDoc, asClassDoc, asParameterizedType, asTypeVariable, asWildcardType, dimension, isPrimitive, qualifiedTypeName, simpleTypeName, toString, typeName`

- - ### Method Detail

    - #### extendsBounds

          Type[] extendsBounds()

      Return the upper bounds of this wildcard type argument as given by the extends clause. Return an empty array if no such bounds are explicitly given.
      Returns:
        the extends bounds of this wildcard type argument

    - #### superBounds

          Type[] superBounds()

      Return the lower bounds of this wildcard type argument as given by the super clause. Return an empty array if no such bounds are explicitly given.
      Returns:
        the super bounds of this wildcard type argument

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2014, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.